.sign-form-page {
  display: flex;
  align-items: center;
  justify-content: center;
  background: $ecriplus-gradient;
  background-size: cover;
  width: 100%;
  height: 100%;
  min-height: 100vh;
  background: $pix-primary-app-gradient;
  background-size: cover;

  abbr {
    text-decoration: none;
  }

  fieldset {
    width: 100%;
  }
}

.sign-form {
  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 95%;
    max-width: 609px;
    margin: 0 auto;
    padding: 20px 10px;
    background-color: $pix-neutral-0;
    border-radius: 10px;

    @include device-is('tablet') {
      width: 609px;
      margin: 20px 0;
      padding: 40px 80px;
    }
  }

  &__header {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
  }

  &__body {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  &__notification-message--error {
    margin: 0 0 10px;
    color: $pix-error-70;
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.625rem;
    text-align: center;
  }

  &__validation-error {
    margin: 0;
    padding-bottom: 10px;
    color: $pix-error-70;
    font-weight: normal;
    font-size: 0.875rem;
  }
}

.sign-form-header {
  &__subtitle {
    display: flex;
    flex-direction: column;
    padding: 5px 20px 24px;
    font-size: 1rem;
    font-family: $font-open-sans;
    text-align: center;

    @include device-is('tablet') {
      flex-direction: row;
    }
  }

  &__instruction {
    width: 100%;
    margin: 10px 0 40px;

    @include device-is('tablet') {
      margin: 24px 0 40px;

      &--short {
        width: 400px;
      }
    }
  }
}

.sign-form-header-subtitle {
  margin-right: 3px;
}

.sign-form-body {
  &__instruction {
    margin: 10px 0;
    font-size: 0.875rem;
  }

  &__input {
    width: 100%;
    max-width: 449px;
    padding: 0 20px;

    @include device-is('tablet') {
      padding: 0;
    }

    @include device-is('mobile') {
      padding: 0;
    }
  }

  &__bottom-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 5px auto 20px;

    &--big {
      margin: 10px auto;

      @include device-is('desktop') {
        margin: 30px auto;
      }

      @include device-is('mobile') {
        width: 280px;
      }
    }
  }

  &__bottom-decoration {
    width: 100%;
    margin: 30px 0 40px;
    line-height: 0.1rem;
    text-align: center;
    border-bottom: 1.5px solid $pix-neutral-20;

    @include device-is('mobile') {
      width: 100%;
    }

    span {
      padding: 0 10px;
      color: $pix-neutral-80;
      font-size: 16px;
      background: $pix-neutral-0;
    }
  }

  &__pole-emploi-connect-link {
    $pole-emploi: #1B2E57;

    display: flex;
    align-items: center;
    padding: 7px 10px 7px 13px;
    color: $pix-neutral-0;
    font-weight: bold;
    font-size: 14px;
    text-decoration: none;
    background-color: $pole-emploi;
    border: 2px solid transparent;
    border-radius: 100px;

    &:focus,
    &:hover,
    &:focus-within {
      border: 2px solid $white;
      box-shadow: 0 0 0 2px $pole-emploi;
    }

    img {
      width: 30px;
    }

    span {
      padding: 0 3px 0 10px;
    }
  }

  &__forgotten-password-link {
    align-self: flex-end;
    margin: 5px 0 20px;
  }
}

// Text Styles

.sign-form-title {
  margin: 0;
  color: $pix-neutral-80;
  font-weight: $font-light;
  font-size: 1.563rem;
  font-family: $font-open-sans;

  @include device-is('desktop') {
    font-size: 2.25rem;
  }
}

.sign-form-subtitle {
  color: $pix-neutral-80;
  font-weight: $font-light;
  font-size: 0.938rem;
  font-family: $font-open-sans;
  line-height: 28px;
  text-align: center;

  @include device-is('tablet') {
    font-size: 1.375rem;
  }
}

.sign-form-instruction {
  color: $pix-neutral-80;
  font-weight: $font-light;
  font-size: 0.938rem;
}

.sign-form-text {
  color: $pix-neutral-80;
  font-size: 0.625rem;
  font-family: $font-open-sans;

  @include device-is('tablet') {
    font-size: 0.938rem;
  }
}

.sign-form-link {
  font-size: 0.938rem;
}
